
singleton Material(van)
{
   mapTo = "van";
   diffuseMap[2] = "vehicles/van/van_c.dds";
   specularMap[2] = "vehicles/van/van_s.dds";
   normalMap[2] = "vehicles/van/van_n.dds";
   diffuseMap[1] = "vehicles/van/van_d.dds";
   specularMap[1] = "vehicles/van/van_s.dds";
   normalMap[1] = "vehicles/van/van_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_n.dds";
   //diffuseMap[3] = "vehicles/van/van_dirt.dds";
   //normalMap[3] = "vehicles/van/van_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_cargobox)
{
   mapTo = "van_cargobox";
   diffuseMap[1] = "vehicles/van/van_cargobox_d.dds";
   specularMap[1] = "vehicles/van/van_cargobox_s.dds";
   normalMap[1] = "vehicles/van/van_cargobox_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_cargobox_n.dds";
   //diffuseMap[3] = "vehicles/van/van_cargobox_dirt.dds";
   //normalMap[3] = "vehicles/van/van_cargobox_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_interior)
{
   mapTo = "van_interior";
   diffuseMap[0] = "van_interior_d.dds";
   specularMap[0] = "van_interior_s.dds";
   normalMap[0] = "van_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(van_gauges)
{
   mapTo = "van_gauges";
   diffuseMap[0] = "van_gauges_d.dds";
   specularMap[0] = "van_gauges_s.dds";
   normalMap[0] = "van_gauges_n.dds";
   specularPower[0] = "16";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(van_gauges_on)
{
   mapTo = "van_gauges_on";
   diffuseMap[1] = "van_gauges_g.dds";
   specularMap[1] = "van_gauges_s.dds";
   normalMap[1] = "van_gauges_n.dds";
   diffuseMap[0] = "van_gauges_d.dds";
   specularMap[0] = "van_gauges_s.dds";
   normalMap[0] = "van_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(van_seats)
{
   mapTo = "van_seats";
   diffuseMap[0] = "van_seats_d.dds";
   specularMap[0] = "van_seats_s.dds";
   normalMap[0] = "van_seats_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(van_glass)
{
   mapTo = "van_glass";
   //diffuseMap[2] = "vehicles/van/van_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "1";
   pixelSpecular[1] = "0";
   diffuseColor[0] = "0.572549 0.572549 0.572549 1";
   diffuseColor[1] = "0 0 0 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   translucentBlendOp = "Add";
   beamngDiffuseColorSlot = "2";
   materialTag2 = "decal";
};

singleton Material(van_glass_dmg)
{
   mapTo = "van_glass_dmg";
   diffuseMap[0] = "vehicles/van/van_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/van/van_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_signal_L)
{
   mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
   mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
   mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
   mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
   mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
   mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
   mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
   mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
   mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
   mapTo = "van_runningbrakelight";
};

singleton Material(van_lights)
{
   mapTo = "van_lights";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[2] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on)
{
   mapTo = "van_lights_on";
   diffuseMap[2] = "vehicles/van/van_lights_g.dds";
   specularMap[2] = "vehicles/van/van_lights_s.dds";
   normalMap[2] = "vehicles/van/van_lights_n.dds";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[3] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on_intense)
{
   mapTo = "van_lights_on_intense";
   diffuseMap[2] = "vehicles/van/van_lights_g.dds";
   specularMap[2] = "vehicles/van/van_lights_s.dds";
   normalMap[2] = "vehicles/van/van_lights_n.dds";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[3] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[3] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_dmg)
{
   mapTo = "van_lights_dmg";
   diffuseMap[1] = "vehicles/van/van_lights_dmg_d.dds";
   specularMap[1] = "vehicles/van/van_lights_dmg_s.dds";
   normalMap[1] = "vehicles/van/van_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[2] = "vehicles/van/van_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//frame and running gear
singleton Material(pickup)
{
   mapTo = "pickup";
   //diffuseMap[2] = "vehicles/pickup/pickup_c.dds";
   //specularMap[2] = "vehicles/pickup/pickup_s.dds";
   //normalMap[2] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.80 0.15 0.0 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//v8 engine
singleton Material(fullsize)
{
   mapTo = "fullsize";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_c.dds";
   //specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.06 0.08 0.22 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_material5)
{
   mapTo = "material5";
   diffuseColor[0] = "0.64 0.16 0 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   doubleSided = "1";
   translucentBlendOp = "Add";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
   beamngDiffuseColorSlot = "2";
   materialTag2 = "decal";
};

singleton Material(van_material3)
{
   mapTo = "material3";
   diffuseColor[0] = "0.32 0 0 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[1] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
   specularMap[1] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
   materialTag0 = "Miscellaneous";
   pixelSpecular[1] = "1";
   materialTag1 = "vehicle";
   beamngDiffuseColorSlot = "2";
   materialTag2 = "decal";
   diffuseColor[1] = "0.862745 0.862745 0.862745 1";
};

singleton Material(van_material7)
{
   mapTo = "material7";
   diffuseColor[0] = "0.8 0 0 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(van_material2)
{
   mapTo = "material2";
   diffuseColor[0] = "0.0219608 0.009412 0.0062744 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(van_material0)
{
   mapTo = "material0";
   diffuseColor[0] = "0.44549 0.44549 0.44549 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(van_material1)
{
   mapTo = "material1";
   diffuseColor[0] = "0.0705882 0.0705882 0.0705882 1";
   specular[0] = "0.611765 0.611765 0.611765 1";
   specularPower[0] = "24";
   doubleSided = "1";
   translucentBlendOp = "None";
   pixelSpecular[0] = "0";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
   materialTag2 = "decal";
   beamngDiffuseColorSlot = "2";
   diffuseColor[1] = "0.870588 0.870588 0.870588 1";
   diffuseColor[2] = "0.168627 0.168627 0.168627 1";
   diffuseMap[2] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
   normalMap[2] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
   specular[2] = "0.521569 0.521569 0.521569 1";
   specularPower[1] = "19";
   specularPower[2] = "39";
   pixelSpecular[1] = "1";
   specularMap[2] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
};

singleton Material(Volkswagen_Transporter_T4_van_headlight_001)
{
   mapTo = "van_headlight_001";
   diffuseColor[0] = "0.772549 0.772549 0.772549 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "6";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/Volkswagen Transporter T4/van_lights_d.dds";
   diffuseMap[1] = "vehicles/Volkswagen Transporter T4/van_lights_g.dds";
   normalMap[0] = "vehicles/Volkswagen Transporter T4/van_lights_n.dds";
   specularMap[1] = "vehicles/Volkswagen Transporter T4/van_lights_s.dds";
   beamngDiffuseColorSlot = "2";
   materialTag0 = "beamng";
   materialTag1 = "vehicle";
   materialTag2 = "decal";
};

singleton Material(Volkswagen_Transporter_T4_material2_ncl1_1)
{
   mapTo = "material2_ncl1_1";
   diffuseColor[0] = "0.137255 0.137255 0.137255 1";
   specular[0] = "0.33 0.33 0.33 1";
   specularPower[0] = "20";
   translucentBlendOp = "None";
};

singleton Material(Volkswagen_Transporter_T4_material1_ncl1_1)
{
   mapTo = "material1_ncl1_1";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0.33 0.33 0.33 1";
   specularPower[0] = "20";
   translucentBlendOp = "None";
};

singleton Material(Volkswagen_Transporter_T4_material0_ncl1_1)
{
   mapTo = "material0_ncl1_1";
   specular[0] = "0.33 0.33 0.33 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   beamngDiffuseColorSlot = "2";
   materialTag0 = "beamng";
   materialTag1 = "vehicle";
   materialTag2 = "decal";
   diffuseColor[0] = "0.694118 0.694118 0.694118 1";
   pixelSpecular[0] = "1";
   diffuseColor[1] = "0.607843 0.607843 0.607843 1";
   diffuseMap[1] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
   normalMap[1] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
   specularPower[1] = "4";
   pixelSpecular[1] = "1";
   specularMap[1] = "vehicles/Volkswagen Transporter T4/Text/MAT.png";
};

singleton Material(Volkswagen_Transporter_T4_material6)
{
   mapTo = "material6";
   diffuseColor[0] = "0.329412 0.329412 0.329412 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   translucentBlendOp = "None";
};

singleton Material(Volkswagen_Transporter_T4_fullsize_001)
{
   mapTo = "fullsize_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(Volkswagen_Transporter_T4_material8)
{
   mapTo = "material8";
   diffuseColor[0] = "0.621177 0.621177 0.621177 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   translucentBlendOp = "None";
};

singleton Material(Volkswagen_Transporter_T4_van_light)
{
   mapTo = "van_light";
   diffuseColor[0] = "0.329412 0.329412 0.329412 1";
   specular[0] = "0.165 0.165 0.165 1";
   specularPower[0] = "20";
   translucentBlendOp = "Add";
   diffuseColor[1] = "0.160784 0.160784 0.160784 1";
   pixelSpecular[1] = "1";
   translucent = "1";
   materialTag1 = "vehicle";
   beamngDiffuseColorSlot = "2";
   materialTag2 = "decal";
   materialTag0 = "Miscellaneous";
};
